<?php 

/**
 * 名称：空控制器
 * 作者：荷塘月色
 * 邮箱：kujiw@qq.com
 * 说明：空控制器优化访问，当用户访问不存在的控制器时指向此控制器
 */

namespace Qiye\Controller;
use Think\Controller;
class EmptyController extends Controller{

	public function _initialize(){
		if (IS_POST) {
			$this -> error('控制器不存在','',true);
		}elseif (IS_GET) {
			$this -> msg = '控制器不存在';
			$this -> display('Common:showmsg');
			die;
		}
	}
}